import vl from 'vega-lite-api';

const points = vl
	.markCircle({size: 1000, opacity: .5})
	.project(
    vl.projection('albersUsa')
  )
  .encode(
    vl.longitude().fieldQ('longitude'),
    vl.latitude().fieldQ('latitude'),
    vl.color().fieldQ('total_crimes'),
    vl.tooltip().fieldN('cities'),
  );

const map = vl.markGeoshape({fill: '#2304', stroke: '#fff', strokeWidth: 1})
    .data(vl.topojson('https://raw.githubusercontent.com/vega/vega/master/docs/data/us-10m.json').feature('states'));

export const viz = vl
	.layer(map, points);